<div id="app" v-cloak>
    <el-tabs tab-position="left" value="f">
        <el-tab-pane label="简&#12288;&#12288;&#12288;介">
            <h1>介绍说明</h1>

            <p> Freemarker 是一款模板引擎，是一种基于模版生成静态文件的通用
                工具，它是为Java程序员提供的一个开发包，或者说是一个类库，它不是面向最终用户的，而是为程序员提供了一款可以嵌入他们开发产品的应用程序。</p>

            <p> Freemarker 是使用纯java编写的，为了提高页面的访问速度，需要把页面静态化， 那么Freemarker就是被用来生成html页面。</p>

            <h1>前提条件</h1>

            <p>本工程使用的Freemarker整合了Spring MVC， 与你需要了解或熟悉Spring MVC框架。如果你熟悉EL表达，将有助于该工程Freemarker的使用。</p>

        </el-tab-pane>
        <el-tab-pane label="Ajax&#12288;调用">

            <el-card class="box-card" style="width: 600px;margin: 20px">

                <el-button type="primary" @click="doAjax">调用AJAX</el-button>

            </el-card>

            <el-card class="box-card" style="width: 600px;margin: 20px">
                <el-upload
                        style="width: 300px;"
                        name="file"
                        class="upload-demo"
                        action="upload"
                        :http-request="handleUpload"
                        multiple
                        :limit="3"
                        :file-list="fileList">
                    <el-button size="small" type="primary">点击上传</el-button>
                    <div slot="tip" class="el-upload__tip">只能上传jpg/png文件，且不超过500kb</div>
                </el-upload>
            </el-card>

        </el-tab-pane>
        <el-tab-pane label="自定义工具">
            <el-card class="box-card" style="width: 600px;margin: 20px">
                <el-button type="primary" @click="this.nav.i('消息')">普通消息</el-button>
                <el-button type="primary" @click="this.nav.i('错误')">错误消息</el-button>
                <el-button type="primary" @click="this.nav.i('成功')">成功消息</el-button>
                <el-button type="primary" @click="this.nav.i('警告')">警告消息</el-button>
            </el-card>

            <el-card class="box-card" style="width: 600px;margin: 20px">
                <el-button type="primary" @click="this.nav.tip.show('加载中')">加载提示框</el-button>
                <el-button type="primary" @click="this.nav.tip.close()">关闭提示框</el-button>
            </el-card>

            <el-card class="box-card" style="width: 600px;margin: 20px">
                <el-button type="primary" @click="this.nav.bar.show()">加载提示条</el-button>
                <el-button type="primary" @click="this.nav.bar.finish()">成功</el-button>
                <el-button type="primary" @click="this.nav.bar.error()">失败</el-button>
            </el-card>
        </el-tab-pane>
        <el-tab-pane label="Freemarker">
            <el-card class="box-card" style="width: 600px;margin: 20px">

                <div slot="header">
                    <span>占位输出</span>
                </div>

                <p>正常输出
                    <el-tag>${r'${hello}'}</el-tag>
                </p>

                <p>HTML输出
                    <el-tag>${r"${'&lta>a标签&lt/a>'?html}"}</el-tag>
                </p>

                <p>$表达式
                    <el-tag>${r"${r'${hello}'}"}</el-tag>
                </p>

            </el-card>

            <el-card class="box-card" style="width: 600px;margin: 20px">

                <div slot="header">
                    <span>条件输出</span>
                </div>

                <p>${'<#if status == 0>'}</p>

                <p class="text-indent">status is 0</p>

                <p>${'<#elseif status ==1>'}</p>

                <p class="text-indent">status = 1</p>

                <p>${'<#else>'}</p>

                <p class="text-indent">status != 0 && status !=1</p>

                <p>${'&lt/#if>'}</p>

            </el-card>


            <el-card class="box-card" style="width: 600px;margin: 20px">

                <div slot="header">
                    <span>遍历集合</span>
                </div>

                <p>${'<#list citys as city>'}</p>

                <p class="text-indent">${r' ${city_index} --> ${city}'}</p>

                <p>${'&lt/#list>'}</p>

            </el-card>

        </el-tab-pane>


        <el-tab-pane label="主题颜色" name="f">
            <el-card class="box-card" style="width: 600px;margin: 20px">
                <div slot="header">
                    <span>主要颜色</span>
                </div>
                <el-row :gutter="20">
                    <el-col :span="5">
                        <div class="bg-success" style="border-radius: 4px;padding: 20px;color: #ffffff">Success
                            <div class="value">#67C23A</div>
                        </div>
                    </el-col>
                    <el-col :span="5">
                        <div class="bg-warning" style="border-radius: 4px;padding: 20px;color: #ffffff">Warning
                            <div class="value">#E6A23C</div>
                        </div>
                    </el-col>
                    <el-col :span="5">
                        <div class="bg-danger" style="border-radius: 4px;padding: 20px;color: #ffffff">Danger
                            <div class="value">#F56C6C</div>
                        </div>
                    </el-col>
                    <el-col :span="5">
                        <div class="bg-info" style="border-radius: 4px;padding: 20px;color: #ffffff">Info
                            <div class="value">#909399</div>
                        </div>
                    </el-col>
                </el-row>
            </el-card>
            <el-card class="box-card" style="width: 600px;margin: 20px">
                <div slot="header">
                    <span>中性色</span>
                </div>
                <el-row>
                    <el-col :span="5">
                        <div >
                            <div class="bg-text-primary" style="border-radius: 4px;padding: 20px;color: #ffffff;margin: 5px;background: #303133">主要文字
                                <div class="value">#303133</div>
                            </div>
                            <div class="bg-text-regular" style="border-radius: 4px;padding: 20px;color: #ffffff;margin: 5px;background: #606266">常规文字
                                <div class="value">#606266</div>
                            </div>
                            <div class="bg-text-secondary" style="border-radius: 4px;padding: 20px;color: #ffffff;margin: 5px;background: #909399">次要文字
                                <div class="value">#909399</div>
                            </div>
                            <div class="bg-text-placeholder" style="border-radius: 4px;padding: 20px;color: #ffffff;margin: 5px;background: #C0C4CC">占位文字
                                <div class="value">#C0C4CC</div>
                            </div>
                        </div>
                    </el-col>
                    <el-col :span="1">
                        <div style="width: 20px;height: 10px"></div>
                    </el-col>
                    <el-col :span="5">
                        <div >
                            <div class="bg-border-base" style="border-radius: 4px;padding: 20px;color: #303133;margin: 5px;">一级边框
                                <div class="value">#DCDFE6</div>
                            </div>
                            <div class="bg-border-light" style="border-radius: 4px;padding: 20px;color: #303133;margin: 5px;">二级边框
                                <div class="value">#E4E7ED</div>
                            </div>
                            <div class="bg-border-lighter" style="border-radius: 4px;padding: 20px;color: #303133;margin: 5px;">三级边框
                                <div class="value">#EBEEF5</div>
                            </div>
                            <div class="bg-border-extra-light" style="border-radius: 4px;padding: 20px;color: #303133;margin: 5px;">四级边框
                                <div class="value">#F2F6FC</div>
                            </div>
                        </div>
                    </el-col>
                </el-row>
            </el-card>
        </el-tab-pane>


        <el-tab-pane label="常见问题">
            <el-card class="box-card" style="width: 600px;margin: 20px">
                <div slot="header">
                    <span>1、页面初始化前闪现源代码</span>
                </div>

                <p>${'<style  type="text/css">'?html}</p>

                <p>${'[v-cloak] {'?html}</p>

                <p class="text-indent">${'display: none;'?html}</p>

                <p>${'}'?html}</p>

                <p>${'</style>'?html}</p>


                <p>${'<div id="app" v-cloak>'?html}</p>

                <p>${'...'?html}</p>

                <p>${'</div>'?html}</p>
            </el-card>
        </el-tab-pane>
    </el-tabs>
</div>
<style>
    #app {
        padding: 20px;
        height: 100%;
    }

</style>
<script>
    var app = new Vue({
        el: "#app",
        data: {
            fileList: [],
        },
        methods: {
            doAjax: function () {
                ajax.example({}).then(function (response) {
                    if (response.errors.length > 0) {
                        nav.e(response.errors[0].message);
                    } else {
                        nav.i("Ajax调用成功!");
                    }
                })
            },
            handleUpload: function (req) {
                ajax.fileUpload(req.file).then(function (response) {
                    if (response.errors.length > 0) {
                        req.onError();
                        nav.e(response.errors[0].message);
                    } else {
                        req.onSuccess();
                        nav.i("文件上传成功!");
                    }
                })
            },
        },
        created: function () {
        },
        mounted: function () {
        },
        watch: {}
    })
</script>
